- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Update a bucket.
HTTP request
PATCH https://observability.googleapis.com/v1/{bucket.name=projects/*/locations/*/buckets/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
bucket.name |
Identifier. Name of the bucket. The format is: |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Bucket.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
observability.buckets.update
For more information, see the IAM documentation.